> ## Documentation Index
> Fetch the complete documentation index at: https://docs.middlewr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Links

> Download the links of a workspace as a CSV file



## OpenAPI

````yaml openapi.json GET /api/workspaces/{workspace_id}/links/export
openapi: 3.1.1
info:
  title: Middlewr API
  description: Short link management platform API
  version: 1.0.0
  contact:
    name: Middlewr
    email: hello@middlewr.com
    url: https://middlewr.com/contact
servers:
  - url: https://api.middlewr.com
security:
  - ApiKeyAuth: []
paths:
  /api/workspaces/{workspace_id}/links/export:
    get:
      tags:
        - Links
      operationId: links.exportCsv
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: domain_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: is_active
          in: query
          schema:
            anyOf:
              - type: boolean
              - enum:
                  - 'true'
                  - 'false'
                type: string
          allowEmptyValue: true
          allowReserved: true
        - name: created_from
          in: query
          schema:
            type: string
            format: date-time
            x-native-type: date
          allowEmptyValue: true
          allowReserved: true
        - name: created_to
          in: query
          schema:
            type: string
            format: date-time
            x-native-type: date
          allowEmptyValue: true
          allowReserved: true
        - name: tag_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: sort_by
          in: query
          schema:
            enum:
              - created_at
              - title
              - click_count
              - original_url
            type: string
            default: created_at
          allowEmptyValue: true
          allowReserved: true
        - name: sort_order
          in: query
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content: {}
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: A user or workspace API key, created in the dashboard settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.